org.bouncycastle.cms

## Class CMSAuthenticatedGenerator.MacOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.bouncycastle.cms.CMSAuthenticatedGenerator.MacOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  CMSAuthenticatedGenerator

    protected static class CMSAuthenticatedGenerator.MacOutputStream
    extends java.io.OutputStream

### Method Summary

Methods
`void` `close()`
`byte[]` `getMac()`
`void` `write(byte[] buf)`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int i)`

### Methods inherited from class java.io.OutputStream

`flush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write(byte[] buf)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(byte[] buf,
             int off,
             int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int i)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### getMac

    public byte[] getMac()